## Function `desigToRa( designation )`

Description:
  Attempts to determine the ICRS Right Ascension from an IAU-style designation such as "`2MASS J04355524+1630331`" following the specifications in the document https://cds.unistra.fr/Dic/iau-spec.html.

  Note: this function should be used with considerable care. Such designators are intended for object identification and not for communicating sky positions, so that the resulting positions are likely to lack precision, and may be inaccurate. If positional information is available from other sources, it should almost certainly be used instead. But if there's no other choice, this may be used as a fallback.

  Note also that a designator with no coordsystem-specific flag character (a leading "`J`", "`B`" or "`G`") is considered to be B1950, not J2000.

Parameters:
  `designation` (String)
    designation string in IAU format

Return Value (floating point):
  ICRS right ascension in degreees, or blank if no position can be decoded

Examples:
  - `desigToRa("2MASS J04355524+1630331") = 60.98016`
  - `desigToRa("PSR J120000.0+450000.0") = 180`
  - `desigToDec("PSR B120000.0+450000.0") = 180.639096`
  - `desigToRa("PN G001.2-00.3") = 267.403`
  - `desigToRa("NGC 4993") = NaN`

Signature:
  `double desigToRa(String)`